> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Model Config

> Validate that a model config can be used to build a PyBaMM model.

Returns validation result with success status and error message if validation fails.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /models/validate-config
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /models/validate-config:
    post:
      summary: Validate Model Config
      description: >-
        Validate that a model config can be used to build a PyBaMM model.


        Returns validation result with success status and error message if
        validation fails.
      operationId: validate_model_config_models_validate_config_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateModelConfigBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ValidateModelConfigBody:
      properties:
        config:
          additionalProperties: true
          type: object
          title: Config
      type: object
      required:
        - config
      title: ValidateModelConfigBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````